# $Revision: 1.9 $, $Date: 2001/08/12 15:38:53 $
Summary:	Gnome SMB Browser 
Summary(es):	Explorador SMB para Gnome
Summary(fr):	Explorateur SMB pour Gnome 
Summary(pl):	Przegldarka zasobw SMB
Summary(wa):	Foyteuse SMB pol Gnome
Name:		gnomba
Version:	0.6.2
Release:	2
License:	GPL
Group:		X11/Applications/Networking
Group(pl):	X11/Aplikacje/Sieciowe
Source0:	http://gnomba.darkcorner.net/tars/%{name}-%{version}.tar.gz
Icon:		gnomba-logo.xpm
URL:		http://gnomba.darkcorner.net/
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Requires:	samba >= 2.0.5

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
gnomba is a GUI network browser using the smb protocol. It allows
users to browse workgroups, machines, and shares in a "Network
Neighborhood."

%description -l es
gnomba es un explorador grfico para buscar mquinas Samba o Windows
en la red local; similar a como funciona con el susodicho.

%description -l fr
gnomba est un explorateur graphique pour trouver les machines Samba ou
Windows du rseau local. Il permets une utilisation semblable  celle
du "Voisinage rseau" de Windows.

%description -l pl
Gnomba jest przegldark zasobw sieciowych wykorzystujac protok
smb. Pozwala na przegldanie grup, komputerw i zasobw w "Otoczeniu
sieciowym"

%description -l wa
gnomba est ene foyteuse grafike po trover des ndjoles Samba ou
Windows sol rantoele locle. Avou l vos poloz jheymint cweri et
monter des prteyes d' ndjoles windows oudoben eployi leus scrireces.

%prep
%setup -q

%build
rm -rf missing
gettextize --copy --force
aclocal
autoconf
automake -a -c 
%configure
%{__make} \
	CODEPAGEDIR="/etc/samba/codepages" \
	LMHOSTSFILE="/etc/samba/lmhosts" \
	DRIVERFILE="/etc/samba/printers.def"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	sysdir=%{_applnkdir}/Network/Misc

gzip -9nf README ChangeLog TODO NEWS BUGS AUTHORS

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/gnomba
%{_applnkdir}/Network/Misc/gnomba.desktop
%{_pixmapsdir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnomba.spec,v $
Revision 1.9  2001/08/12 15:38:53  blues
- Release 2
- ac 2.5 ready

Revision 1.8  2001/02/02 17:50:33  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.7  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.6  2000/07/04 02:21:29  kloczek
- added pl translation from dist tar ball spec,
- added isung %%configure macro and DESTDIR style install,
- pass fixed CODEPAGEDIR, LMHOSTSFILE, DRIVERFILE variables to compile
  options,
- added man page,
- added gzipping %doc.

Revision 1.5  2000/06/26 10:51:24  wrobell
- up to 0.6.2
- desktop file moved to %{_applnk}/Internet/Misc
- %{_datadir}

Revision 1.4  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/18 23:46:00  kloczek
- spec adapterized.
